Delete Data by Location
curl --request POST \
--url https://api.velt.dev/v1/organizations/documents/locations/data/delete \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"apiKey": "<string>",
"authToken": "<string>",
"documentId": "<string>",
"location": {}
}
}
'import requests
url = "https://api.velt.dev/v1/organizations/documents/locations/data/delete"
payload = { "data": {
"apiKey": "<string>",
"authToken": "<string>",
"documentId": "<string>",
"location": {}
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
apiKey: '<string>',
authToken: '<string>',
documentId: '<string>',
location: {}
}
})
};
fetch('https://api.velt.dev/v1/organizations/documents/locations/data/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Data deleted successfully.",
"data": null
}
}
Delete Data by Location
Delete all data associated with a specific location
POST
/
v1
/
organizations
/
documents
/
locations
/
data
/
delete
Delete Data by Location
Use this API to delete all data (comments, recordings, or any other feature data) associated with a specific location.
Endpoint
POST https://api.velt.dev/v1/organizations/documents/locations/data/delete
Headers
Your API key.
Your Auth Token.
Body
Params
Example Request
{
"data": {
"apiKey": "YOUR_API_KEY",
"authToken": "YOUR_AUTH_TOKEN",
"documentId": "YOUR_DOCUMENT_ID",
"location": {
"id": "scene_1",
"locationName": "White scene"
}
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Data deleted successfully.",
"data": null
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Data deleted successfully.",
"data": null
}
}
Was this page helpful?
⌘I

